petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPartitioningApply

Gets a partitioning for a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningApply(MatPartitioning matp,IS *partitioning)

Collective on Mat Many br

### Input Parameters

matp -the matrix partitioning object Many br

### Output Parameters

partitioning -the partitioning. For each local node this tells the processor Many brnumber that that node is assigned to. Many br

### Options Database Keys

To specify the partitioning through the options database, use one of Many brthe following Many br

       -mat_partitioning_type parmetis, -mat_partitioning current

To see the partitioning result Many br

       -mat_partitioning_view

Many br

The user can define additional partitionings; see MatPartitioningRegister(). Many br

### Keywords

matrix, get, partitioning

### See Also

MatPartitioningRegister(), MatPartitioningCreate(),
MatPartitioningDestroy(), MatPartitioningSetAdjacency(), ISPartitioningToNumbering(), Many brISPartitioningCount() Many br

Level:beginner
Location:src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex11.c.html
src/mat/examples/tutorials/ex15.c.html
src/mat/examples/tutorials/ex17.c.html
src/ksp/ksp/examples/tutorials/ex64.c.html